RSSOwl doesn't start on my linux box

Help
2006-03-14
2012-08-29
  • I'm sorry if this is a newbie/simple question-- but I just installed RSSOwl (from the Linux .rpm), and when I start it, I get the following error:

    [cham@chamlap-linux common]$ rssowl.sh
    The java class could not be loaded. java.lang.UnsupportedClassVersionError: net/sourceforge/rssowl/controller/RSSOwlLoader (Unsupported major.minor version 49.0)

    What do I need to do to fix this?

     
    • Which Java version do you have installed?

      Ben

       
      • Have the same problem. Java version is 1.4.2. Found nothing on rssowl.org about prereqs. Is there a special version needed?

         
    • Oops.
      > Found nothing on rssowl.org about prereqs.
      That's not true. On the bottom of the download page it's noted that 1.4.2 or 1.5 are required. I have the IBM build of the 1.4.2 JRE installed. Does it only work with the SUN build?

       
      • It should work with the IBM JDK as well, but you should make sure to install the crypto extensions, as RSSOwl is needing that for HTTPS connections.

        However, even without that, RSSOwl should be able to launch.

        Is there anything given out to the console when you execute:

        java -Djava.library.path=. -jar rssowl.jar

        Ben

         
        • sorry - posted my response to the wrong entry and was wondering why it didn't show up
          please see the console output above in the thread

           
          • Two things more to test please:

            1. Is the binary release for Linux (not the RPMs) working for you?

            2. If its not too much overhead, installing Java 5 should fix this issue. I need to ask the RPM packager if he recompiled the sources.

            Ben

             
            • Yep - the binary release works.

               
    • Here is the output:
      > java -Djava.library.path=. -jar /usr/share/rssowl/rssowl.jar
      The java class could not be loaded. java.lang.UnsupportedClassVersionError: net/sourceforge/rssowl/controller/RSSOwlLoader (Unsupported major.minor version 49.0)
      > echo $?
      1
      >
      > java -version
      java version "1.4.2"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
      Classic VM (build 1.4.2, J2RE 1.4.2 IBM build cxia32142-20050929 (SR3) (JIT enabled: jitc))
      >

       
    • > java -Djava.library.path=. -jar /usr/share/rssowl/rssowl.jar
      The java class could not be loaded. java.lang.UnsupportedClassVersionError: net/sourceforge/rssowl/controller/RSSOwlLoader (Unsupported major.minor version 49.0)
      >